LevelPatternConverter (Apache Log4j 1.2.17 API)
Date: 2012-05-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.pattern
Class LevelPatternConverter

    java.lang.Object
      org.apache.log4j.pattern.PatternConverter
          org.apache.log4j.pattern.LoggingEventPatternConverter
              org.apache.log4j.pattern.LevelPatternConverter

    public final class LevelPatternConverter

extends LoggingEventPatternConverter

Return the event's level in a StringBuffer.

Author:
  Ceki Gülcü

Method Summary
`void` | `format(LoggingEvent event, StringBuffer output)` Formats an event into a string buffer.
`String` | `getStyleClass(Object e)` This method returns the CSS style class that should be applied to the LoggingEvent passed as parameter, which can be null.
`static LevelPatternConverter` | `newInstance(String[] options)` Obtains an instance of pattern converter.

Methods inherited from class org.apache.log4j.pattern.LoggingEventPatternConverter
`format, handlesThrowable`

Methods inherited from class org.apache.log4j.pattern.PatternConverter
`getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newInstance

    public static LevelPatternConverter newInstance(String[] options)

  Obtains an instance of pattern converter.

  Parameters:
    `options` - options, may be null.
  Returns:
    instance of pattern converter.

### format

    public void format(LoggingEvent event,
                       StringBuffer output)

  Formats an event into a string buffer.

  Specified by:
    `format` in class `LoggingEventPatternConverter`
  Parameters:
    `event` - event to format, may not be null.
    `output` - string buffer to which the formatted event will be appended. May not be null.

### getStyleClass

    public String getStyleClass(Object e)

  This method returns the CSS style class that should be applied to the LoggingEvent passed as parameter, which can be null. This information is currently used only by HTMLLayout.

  Overrides:
    `getStyleClass` in class `PatternConverter`
  Parameters:
    `e` - null values are accepted
  Returns:
    the name of the conversion pattern

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.